grid.display.list {grid} | R Documentation

## Control the Grid Display List

### Description

Turn the Grid display list on or off.

### Usage

    grid.display.list(on=TRUE)
    engine.display.list(on=TRUE)

### Arguments

`on` | A logical value to indicate whether the display list should be on or off.

### Details

All drawing and viewport-setting operations are (by default) recorded in the Grid display list. This allows redrawing to occur following an editing operation.

This display list could get very large so it may be useful to turn it off in some cases; this will of course disable redrawing.

All graphics output is also recorded on the main display list of the R graphics engine (by default). This supports redrawing following a device resize and allows copying between devices.

Turning off this display list means that grid will redraw from its own display list for device resizes and copies. This will be slower than using the graphics engine display list.

### Value

None.

### WARNING

Turning the display list on causes the display list to be erased!

Turning off both the grid display list and the graphics engine display list will result in no redrawing whatsoever.

### Author(s)

Paul Murrell

[Package Contents]